Update second factor configuration

Updates the second factor authentication configuration for the Tenant.

PUT
/v2/manage/2fa/config

Updates the second factor authentication configuration for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/2fa/config" \  -H "Content-Type: application/json" \  -d '{}'
{
  "IsSecondFactorAuthenticatorEnabled": true,
  "IsRequired": true,
  "IsAuthenticatorEnabled": true,
  "IsEmailOtpAuthenticatorEnabled": true,
  "IsSmsOtpAuthenticatorEnabled": true,
  "IsSecurityQuestionAsMFAEnabled": true,
  "MinimumSecurityQuestionsToAsk": 0,
  "IsPushAuthenticatorEnabled": true,
  "IsDuoAuthenticatorEnabled": true,
  "IsPasskeyMFAEnabled": true
}
{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}